#include <stdio.h>
#include <iostream.h>

int main ()
{
  char buffer[2048];

  FILE* f;
  f = fopen ("/lal/CMT/v1r3/temp/fragments/dsw_project", "rb");
  if (f != NULL)
  {
    fseek (f, 0L, SEEK_END);
    int size = ftell (f);
    fseek (f, 0L, SEEK_SET);

    cout << "size = " << size << endl;

    fread (buffer, size, 1, f);

    int i;

    for (i = 0; i < size; i++)
    {
      if ((i % 16) == 0)
      {
        cout << endl;
        cout << i << "> ";
      }
      cout << (int) buffer[i] << ' ';
    }

    fclose (f);
  }
}

